package com.yeejoin.amos.maintenance.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 * 消息订阅设置实体
 * @author gaodongdong
 *
 */
@Entity
@Table(name="p_msg_subscribe")
@NamedQuery(name="MsgSubscribe.findAll", query="SELECT m FROM MsgSubscribe m ")
public class MsgSubscribe extends BasicEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = -3679029984718140789L;
	
	@Column(name="org_code")
	private String orgCode; // 公司ID
	
	@Column(name="user_id")
	private String userId; // 用户ID
	@Column(name="msg_type")
	private String msgType; // 消息类型
	@Column(name="attribute1")
	private String attribute1; // 消息属性
	@Column(name="attribute2")
	private String attribute2;
	@Column(name="attribute3")
	private String attribute3;
	@Column(name="attribute4")
	private String attribute4;
	@Column(name="attribute5")
	private String attribute5;
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getMsgType() {
		return msgType;
	}
	public void setMsgType(String msgType) {
		this.msgType = msgType;
	}
	public String getAttribute1() {
		return attribute1;
	}
	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}
	public String getAttribute2() {
		return attribute2;
	}
	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}
	public String getAttribute3() {
		return attribute3;
	}
	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}
	public String getAttribute4() {
		return attribute4;
	}
	public void setAttribute4(String attribute4) {
		this.attribute4 = attribute4;
	}
	public String getAttribute5() {
		return attribute5;
	}
	public void setAttribute5(String attribute5) {
		this.attribute5 = attribute5;
	}
	
	
}
